Subject: Re: Mercurial 0.3 vs git benchmarks

From: "H. Peter Anvin" <[email-masked]>
Date: Wed, 27 Apr 2005 11:54:05 -0700

Thomas Glanzmann wrote:
> 
> For tar I have no idea why it should slow down the operation, but maybe
> you can enlighten us.
> 

Directory hashing slows down operations that do linear sweeps through 
the filesystem reading every single file, simply because without 
dir_index, there is likely to be a correlation between inode order and 
directory order, whereas with dir_index, readdir() returns entries in 
hash order.

	-hpa